/* Generated by re2c 1.1.1 on Sun Apr 28 16:30:13 2019 */
#line 1 "cpp.re"

#line 5 "cpp.re.c"
{
	char yych;
	if (m_limit <= m_cursor) YYFILL
	yych = *m_cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy3;
	case '\n':	goto yy5;
	case '\r':	goto yy7;
	case '#':	goto yy9;
	case '(':	goto yy11;
	case ')':	goto yy13;
	case '<':	goto yy15;
	case '>':	goto yy17;
	case '[':	goto yy19;
	case ']':	goto yy21;
	case '{':	goto yy23;
	case '}':	goto yy25;
	default:	goto yy2;
	}
yy2:
yy3:
	++m_cursor;
#line 17 "cpp.re"
	{ return WSPACE;}
#line 31 "cpp.re.c"
yy5:
	++m_cursor;
#line 19 "cpp.re"
	{ return NEWLINE;}
#line 36 "cpp.re.c"
yy7:
	++m_cursor;
#line 18 "cpp.re"
	{ return BSR; }
#line 41 "cpp.re.c"
yy9:
	++m_cursor;
#line 8 "cpp.re"
	{ return HASH; }
#line 46 "cpp.re.c"
yy11:
	++m_cursor;
#line 9 "cpp.re"
	{ return B_P_ROUND; }
#line 51 "cpp.re.c"
yy13:
	++m_cursor;
#line 10 "cpp.re"
	{ return E_P_ROUND; }
#line 56 "cpp.re.c"
yy15:
	++m_cursor;
#line 11 "cpp.re"
	{ return B_P_ANGLE; }
#line 61 "cpp.re.c"
yy17:
	++m_cursor;
#line 12 "cpp.re"
	{ return E_P_ANGLE; }
#line 66 "cpp.re.c"
yy19:
	++m_cursor;
#line 15 "cpp.re"
	{ return B_P_SQUARE; }
#line 71 "cpp.re.c"
yy21:
	++m_cursor;
#line 16 "cpp.re"
	{ return E_P_SQUARE; }
#line 76 "cpp.re.c"
yy23:
	++m_cursor;
#line 13 "cpp.re"
	{ return B_P_CURLY; }
#line 81 "cpp.re.c"
yy25:
	++m_cursor;
#line 14 "cpp.re"
	{ return E_P_CURLY; }
#line 86 "cpp.re.c"
}
#line 20 "cpp.re"

